%define module Math-BaseCalc
%define version	1.011
%define release	5mdk

Summary:	%{module} perl module
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/modules/by-module/Math/
Requires:	perl >= 5.0
Buildrequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch

%description
This module facilitates the conversion of numbers between various
number bases.  You may define your own digit sets, or use any of
several predefined digit sets.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes MANIFEST
%{perl_vendorlib}/Math/*
%{_mandir}/*/*

%changelog
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.011-5mdk
- rebuild

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.011-4mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.011-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.011-2mdk
- rebuild

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.011-1mdk
- make test & use INSTALLDIRS=vendor
- noarch
- from David Walser <luigiwalser@yahoo.com> :
	- initial release for Mandrake
